Add the config directive compression-level
[privoxy.git] / jcc.c
diff --git a/jcc.c b/jcc.c
index a5cf365..06418a8 100644 (file)
--- a/jcc.c
+++ b/jcc.c
@@ -1,4 +1,4 @@
-const char jcc_rcs[] = "$Id: jcc.c,v 1.353 2011/06/23 14:01:01 fabiankeil Exp $";
+const char jcc_rcs[] = "$Id: jcc.c,v 1.354 2011/07/03 17:54:29 fabiankeil Exp $";
 /*********************************************************************
  *
  * File        :  $Source: /cvsroot/ijbswa/current/jcc.c,v $
@@ -2065,7 +2065,8 @@ static void chat(struct client_state *csp)
                   else if ((csp->flags & CSP_FLAG_CLIENT_SUPPORTS_DEFLATE)
                      && (csp->content_length > LOWER_LENGTH_LIMIT_FOR_COMPRESSION))
                   {
-                     char *compressed_content = compress_buffer(p, (size_t *)&csp->content_length);
+                     char *compressed_content = compress_buffer(p,
+                        (size_t *)&csp->content_length, csp->config->compression_level);
                      if (compressed_content != NULL)
                      {
                         freez(p);